<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Palm Healing Lite
 */
$footer_text = get_theme_mod('footer_text');

$footerlefttext = get_theme_mod('footer_left_headingtext'); 
$footer_buttontext = get_theme_mod('footer_buttontext'); 
$footer_buttonurl = get_theme_mod('footer_buttonurl'); 
$hidefooterbox = get_theme_mod('hide_footer_bar', 1);
?>
<div id="footer">
<?php if( $hidefooterbox == '') { ?>
<div id="footer-wrapper" class="ft-infobox">
		<div class="footerarea">
            <div class="container footer-infobox">
            		<?php if(!empty($footerlefttext)){?>
                    	<div class="footer-infobox-left"><h3><?php echo esc_html($footerlefttext); ?></h3></div>
                   	<?php } ?>                    
                    <?php if(!empty($footer_buttontext)){?>
                    <div class="footer-infobox-right"><p><a href="<?php echo esc_url($footer_buttonurl); ?>"><?php echo esc_html($footer_buttontext); ?></a></p></div>
                    <?php } ?>
                    <div class="clear"></div> 
            </div>
        </div>
</div>
<?php } ?>
<div class="copyright-area">
<?php if ( is_active_sidebar( 'fc-1' ) || is_active_sidebar( 'fc-2' ) || is_active_sidebar( 'fc-3' ) || is_active_sidebar( 'fc-4' ) ) : ?>
<div class="footerarea">
    	<div class="container footer ftr-widg">
        	<div class="footer-row">
            <?php if ( is_active_sidebar( 'fc-1' ) ) : ?>
            <div class="cols-3 widget-column-1">  
              <?php dynamic_sidebar( 'fc-1' ); ?>
            </div><!--end .widget-column-1-->                  
    		<?php endif; ?> 
			<?php if ( is_active_sidebar( 'fc-2' ) ) : ?>
            <div class="cols-3 widget-column-2">  
            <?php dynamic_sidebar( 'fc-2' ); ?>
            </div><!--end .widget-column-2-->
            <?php endif; ?> 
			<?php if ( is_active_sidebar( 'fc-3' ) ) : ?>    
            <div class="cols-3 widget-column-3">  
            <?php dynamic_sidebar( 'fc-3' ); ?>
            </div><!--end .widget-column-3-->
			<?php endif; ?> 	
			<?php if ( is_active_sidebar( 'fc-4' ) ) : ?>    
            <div class="cols-3 widget-column-4">  
            <?php dynamic_sidebar( 'fc-4' ); ?>
            </div><!--end .widget-column-3-->
			<?php endif; ?>             	         
            <div class="clear"></div>
            </div>
        </div><!--end .container--> 
</div>
<?php endif; ?>         
<div class="copyright-wrapper">
<div class="container">
     <div class="copyright-txt">
     	<?php if (!empty($footer_text)) { ?>
	 		<?php echo esc_html($footer_text); ?>
		<?php } else { ?>
			<?php echo esc_html('© Copyright '.date('Y').' Palm Healing Lite All Rights Reserved.'); ?>
        <?php } ?>
        <?php bloginfo('name'); ?> <?php esc_html_e('Theme By ','palm-healing-lite');?>
        
        <?php if( is_home() && is_front_page()) {?>
        <a href="<?php echo esc_url('https://www.sktthemes.org/');?>" target="_blank"><?php esc_html_e('SKT Themes','palm-healing-lite'); ?></a>
        <?php } else {?>
          <?php esc_html_e('SKT Themes','palm-healing-lite'); ?>
        <?php } ?>
        </div>
     <div class="clear"></div>
</div>           
</div>
</div><!--end #copyright-area-->
</div>
<?php wp_footer(); ?>
</body>
</html>